package com.aiosman.riderpro.ui.composables

import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.WindowInsets
import androidx.compose.foundation.layout.asPaddingValues
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.systemBars
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier

@Composable
fun StatusBarSpacer() {
    val paddingValues = WindowInsets.systemBars.asPaddingValues()
    Spacer(modifier = Modifier.height(paddingValues.calculateTopPadding()))
}